From: [email-masked]
Date: Mon, 18 Jul 94 12:24:37 CDT

>
> Your LAD should receive the copy-3 of I-181 and bring it to local INS
> to process I-89. Then the local INS will sent the copy-3 of I-181 and
> I-89 to ICF. That is the normal procedure.
>
> ping
>

My lads received form I-181 B (Is this I-181 copy 2?) from Chicage INS.
There are only two sentences in the form. The first told us that the
application process has been completed. The second one is: "A request
has been forwarded for the allocation of a visa number." It did not
let us go to local INS to process I-89. What should we do? Just wait?
BTW, is this the approval notice? Does this mean that we still need to
wait for the avilable visa number? Any help is appreciated.

Liu